Package weka.core.pmml.jaxbbindings

# Class PCovCell

java.lang.Object
weka.core.pmml.jaxbbindings.PCovCell

public class PCovCell extends Object

Java class for PCovCell element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="PCovCell">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="pCol" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="pRow" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="tCol" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="tRow" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="targetCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="value" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PCovCell()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getPCol()`
  Gets the value of the pCol property.
  `String`
  `getPRow()`
  Gets the value of the pRow property.
  `String`
  `getTargetCategory()`
  Gets the value of the targetCategory property.
  `String`
  `getTCol()`
  Gets the value of the tCol property.
  `String`
  `getTRow()`
  Gets the value of the tRow property.
  `double`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setPCol(String value)`
  Sets the value of the pCol property.
  `void`
  `setPRow(String value)`
  Sets the value of the pRow property.
  `void`
  `setTargetCategory(String value)`
  Sets the value of the targetCategory property.
  `void`
  `setTCol(String value)`
  Sets the value of the tCol property.
  `void`
  `setTRow(String value)`
  Sets the value of the tRow property.
  `void`
  `setValue(double value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PCovCell

    public PCovCell()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getPCol

    public String getPCol()
    Gets the value of the pCol property.
    Returns:
      possible object is `String`

  - ### setPCol

    public void setPCol(String value)
    Sets the value of the pCol property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPRow

    public String getPRow()
    Gets the value of the pRow property.
    Returns:
      possible object is `String`

  - ### setPRow

    public void setPRow(String value)
    Sets the value of the pRow property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTCol

    public String getTCol()
    Gets the value of the tCol property.
    Returns:
      possible object is `String`

  - ### setTCol

    public void setTCol(String value)
    Sets the value of the tCol property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTRow

    public String getTRow()
    Gets the value of the tRow property.
    Returns:
      possible object is `String`

  - ### setTRow

    public void setTRow(String value)
    Sets the value of the tRow property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTargetCategory

    public String getTargetCategory()
    Gets the value of the targetCategory property.
    Returns:
      possible object is `String`

  - ### setTargetCategory

    public void setTargetCategory(String value)
    Sets the value of the targetCategory property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public double getValue()
    Gets the value of the value property.

  - ### setValue

    public void setValue(double value)
    Sets the value of the value property.